CustomI18nFactorySet (Struts Tiles 1.3.10 Test API)

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class CustomI18nFactorySet

    java.lang.Object
      org.apache.struts.tiles.xmlDefinition.FactorySet
          org.apache.struts.tiles.xmlDefinition.I18nFactorySet
              org.apache.struts.tiles.CustomI18nFactorySet

All Implemented Interfaces:
  Serializable, org.apache.struts.tiles.ComponentDefinitionsFactory

    public class CustomI18nFactorySet

extends org.apache.struts.tiles.xmlDefinition.I18nFactorySet

Test I18nFactorySet.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.tiles.xmlDefinition.I18nFactorySet
`DEFAULT_DEFINITION_FILENAMES, defaultFactory, DEFINITIONS_CONFIG_PARAMETER_NAME, FILENAME_EXTENSION, isValidatingParser, log, PARSER_DETAILS_PARAMETER_NAME, PARSER_VALIDATE_PARAMETER_NAME, parserDetailLevel, xmlParser`

Fields inherited from class org.apache.struts.tiles.xmlDefinition.FactorySet
`factories`

Constructor Summary
`CustomI18nFactorySet(ServletContext servletContext, Map properties)` Constructor.

Method Summary
`org.apache.struts.tiles.xmlDefinition.DefinitionsFactory` | `createFactory(Object key, ServletRequest request, ServletContext servletContext)`

Methods inherited from class org.apache.struts.tiles.xmlDefinition.I18nFactorySet
`createDefaultFactory, getDefaultFactory, getDefinitionsFactoryKey, initFactory, initFactory, parseXmlFile, parseXmlFiles, toString`

Methods inherited from class org.apache.struts.tiles.xmlDefinition.FactorySet
`getDefinition, getFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomI18nFactorySet

    public CustomI18nFactorySet(ServletContext servletContext,
                                Map properties)
                         throws org.apache.struts.tiles.DefinitionsFactoryException

  Constructor. Init the factory by reading appropriate configuration file.

  Parameters:
    `servletContext` - Servlet context.
    `properties` - Map containing all properties.
  Throws:
    `FactoryNotFoundException` - Can't find factory configuration file.
    `org.apache.struts.tiles.DefinitionsFactoryException`

Method Detail

### createFactory

    public org.apache.struts.tiles.xmlDefinition.DefinitionsFactory createFactory(Object key,
                                                                                  ServletRequest request,
                                                                                  ServletContext servletContext)
                                                                           throws org.apache.struts.tiles.DefinitionsFactoryException

  Overrides:
    `createFactory` in class `org.apache.struts.tiles.xmlDefinition.I18nFactorySet`
  Throws:
    `org.apache.struts.tiles.DefinitionsFactoryException`

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.